Bug 1655150 - Welcome page uses GNOME logo rather than Red Hat logo
Summary: Welcome page uses GNOME logo rather than Red Hat logo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-initial-setup
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1635157
TreeView+ depends on / blocked
 
Reported: 2018-11-30 18:40 UTC by Allan Day
Modified: 2019-06-14 01:04 UTC (History)
4 users (show)

Fixed In Version: gnome-initial-setup-3.28.0-8.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1711308 (view as bug list)
Environment:
Last Closed: 2019-06-14 01:04:18 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Screenshot. (2.00 MB, image/png)
2018-11-30 18:40 UTC, Allan Day
no flags Details
Patch for rhel-8.0.0 (1.34 KB, patch)
2019-01-24 00:00 UTC, Yaakov Selkowitz
no flags Details | Diff
refine distro branding detection (775 bytes, patch)
2019-02-18 16:16 UTC, Ray Strode [halfline]
no flags Details | Diff

Description Allan Day 2018-11-30 18:40:53 UTC
Created attachment 1510236 [details]
Screenshot.

Description of problem:

The RHEL initial setup experience should be Red Hat branded, and it generally is. However, one part seems to be missing - on the first page of initial setup, the user is presented with a GNOME logo rather than a Red Hat one.

I know that on Fedora this problem doesn't exist - there is a Fedora logo and not a GNOME one.

The GNOME logo should be replaced with the Red Hat logoo.

Comment 4 Yaakov Selkowitz 2019-01-23 23:32:18 UTC
I'm still trying to understand how the Fedora logo shows up in Fedora where the RH logo does not in RHEL.  While there are differences between fedora-logos and redhat-logos, those wouldn't seem to be sufficient to make a difference here, so I'm missing something.  Do we understand why this works on Fedora?

Comment 5 Yaakov Selkowitz 2019-01-24 00:00:35 UTC
Created attachment 1522910 [details]
Patch for rhel-8.0.0

In the meantime, this patch is a brute-force method of fixing this.  It should work on both Fedora and RHEL, since redhat-logos also provides fedora-logo-icon.

Comment 9 Ray Strode [halfline] 2019-02-18 16:16:28 UTC
Created attachment 1536027 [details]
refine distro branding detection

we currently only brand on fedora, but not fedora-like distributions.

this patch makes it also brand on fedora-like distributions (rhel)


Note You need to log in before you can comment on or make changes to this bug.